function FileManager()
{	
	this.MovFilesTable;
	this.MovFilesTablePaginator;
	
	this.flashFilesTable;
	this.flashFilesTablePaginator;
	
	this.thumbFilesTable;
	this.thumbFilesTablePaginator;
	
	var Event = YAHOO.util.Event;
	
	Event.onDOMReady(function()
	{		
		initFlashTable();
		initMovTable();		
		initThumbsTable();									
		
		var flashFilesTabs = new YAHOO.widget.TabView("tabView");	
		
		flashFilesTabs.subscribe("contentReady", function()
		{
			YAHOO.util.Dom.setStyle('filesContainer', 'visibility', 'visible');
			
			var recordSet = FileManager.flashFilesTable.getRecordSet();
			var numberOfFlashFiles = recordSet.getLength();
				
			if(numberOfFlashFiles > 0)	
				YAHOO.util.Dom.setStyle('flashFilesTabContent', 'visibility', 'visible');
		});		
						
	});
} 

function initFlashTable()
{
	dataSource = new YAHOO.util.DataSource(YAHOO.util.Dom.get("flashFilesTable"));
	dataSource.responseType = YAHOO.util.DataSource.TYPE_HTMLTABLE;
	
	dataSource.responseSchema = 
	{
    	fields: 
    	[
    		{key:"number"},
        	{key:"mark"},
        	{key:"file"},
        	{key:"size"},
        	{key:"date"},
        	{key:"URL"}
    	]
	};	
	
	this.urlFormatterFlash = function(elCell, oRecord, oColumn, oData) 
	{
		var url = oRecord.getData("URL");	
		elCell.innerHTML = "<a href='"+ url +"' target='_blank'>" + url + "</a>";	
    };
	    
    YAHOO.widget.DataTable.Formatter.urlFormatterFlash = this.urlFormatterFlash;
    
    this.checkBoxFormatterFlash = function(elCell, oRecord, oColumn, oData) 
	{
		var index = oRecord.getCount();
		var inputElem = document.createElement("input");
		inputElem.setAttribute("type","checkbox");
		inputElem.setAttribute("id","checkboxFlash" + index);				
		elCell.appendChild(inputElem);	
    };
    
    YAHOO.widget.DataTable.Formatter.checkBoxFormatterFlash = this.checkBoxFormatterFlash;


	//date sort function
	var sortDates = function(a, b, desc) 
	{		
	 	var countA = a.getCount();
	 	var countB = b.getCount();
	 	
	 	//alert("a:" + a.getCount() + "\n b:" + b.getCount());
	 	
	 	var timeStampA = document.getElementById("flashTimestamp" + countA).innerHTML;
	 	var timeStampB = document.getElementById("flashTimestamp" + countB).innerHTML;
	 	
	 	var comp = YAHOO.util.Sort.compare; 
        return comp(timeStampA, timeStampB, desc);         	 		 	 		 			 	
    };
     
	var calcWidth = document.getElementById("tabView").offsetWidth;
	var columnWidth = (calcWidth - 530) / 2;		
	
	var columnDefs = 
	[
	    {key:"number",sortable:true},
	    {key:"mark",sortable:true,formatter:"checkBoxFormatterFlash"},
	    {key:"file",sortable:true},
	    {key:"size",sortable:true},
	    {key:"date",sortable:true,sortOptions:{sortFunction:sortDates}},
	    {key:"URL",sortable:true,formatter:"urlFormatterFlash"}	    
	];
	
	FileManager.flashFilesTablePaginator = new YAHOO.widget.Paginator
	({
		rowsPerPage: 15,
        template: YAHOO.widget.Paginator.TEMPLATE_ROWS_PER_PAGE,
        rowsPerPageOptions: [15,30,60],
        pageLinks: 5
    });
    
	var dtConfig = 
	{		
		paginator: FileManager.flashFilesTablePaginator,	 					
        initialRequest: false,        
        draggableColumns:false,
        sortedBy:{key:"number", dir:"asc"},
        width:"100%",
        scrollable:false        
    };
		
				
	FileManager.flashFilesTable= new YAHOO.widget.DataTable("flashFilesContainer", columnDefs, dataSource,dtConfig);	
}

function initMovTable()
{

	dataSource = new YAHOO.util.DataSource(YAHOO.util.Dom.get("movFilesTable"));
	dataSource.responseType = YAHOO.util.DataSource.TYPE_HTMLTABLE;
	
	dataSource.responseSchema = 
	{
    	fields: 
    	[
    		{key:"numbermov"},
        	{key:"markmov"},
        	{key:"filemov"},
        	{key:"sizemov"},
        	{key:"datemov"},
        	{key:"URLmov"}
    	]
	};		
	
	
	this.urlFormatterMov = function(elCell, oRecord, oColumn, oData) 
	{
		var url = oRecord.getData("URLmov");	
		elCell.innerHTML = "<a href='"+ url +"' target='_blank'>" + url + "</a>";	
    };
	    
    YAHOO.widget.DataTable.Formatter.urlFormatterMov = this.urlFormatterMov;

 	this.checkBoxFormatterMov = function(elCell, oRecord, oColumn, oData) 
	{
		var index = oRecord.getCount();
		var inputElem = document.createElement("input");
		inputElem.setAttribute("type","checkbox");
		inputElem.setAttribute("id","checkboxMov" + index);				
		elCell.appendChild(inputElem);	
    };
    
    YAHOO.widget.DataTable.Formatter.checkBoxFormatterMov = this.checkBoxFormatterMov;

	//date sort function
	var sortDates = function(a, b, desc) 
	{		
	 	var countA = a.getCount();
	 	var countB = b.getCount();
	 	
	 	//alert("a:" + a.getCount() + "\n b:" + b.getCount());
	 	
	 	var timeStampA = document.getElementById("movTimestamp" + countA).innerHTML;
	 	var timeStampB = document.getElementById("movTimestamp" + countB).innerHTML;
	 	
	 	var comp = YAHOO.util.Sort.compare; 
        return comp(timeStampA, timeStampB, desc);         	 		 	 		 			 	
    };
    
    /* 
	var calcWidth = document.getElementById("tabView").offsetWidth;
	var columnWidth = (calcWidth - 530) / 2;
	*/		
	
	var columnDefs = 
	[
	    {key:"numbermov",label:"number",sortable:true},
	    {key:"markmov",label:"mark",sortable:true,formatter:"checkBoxFormatterMov"},
	    {key:"filemov",label:"file",sortable:true},
	    {key:"sizemov",label:"size",sortable:true},
	    {key:"datemov",label:"date",sortable:true,sortOptions:{sortFunction:sortDates}},
	    {key:"URLmov",label:"URL",sortable:true,formatter:"urlFormatterMov"}	    
	];
		
	
	FileManager.MovFilesTablePaginator = new YAHOO.widget.Paginator
	({
		rowsPerPage: 15,
        template: YAHOO.widget.Paginator.TEMPLATE_ROWS_PER_PAGE,
        rowsPerPageOptions: [15,30,60],
        pageLinks: 5
    });
    
	var dtConfig = 
	{		
		paginator: FileManager.MovFilesTablePaginator,			 				
        initialRequest: false,        
        draggableColumns:false,
        sortedBy:{key:"numbermov", dir:"asc"},
        width:"100%",
        scrollable:false        
    };
		
		
	FileManager.MovFilesTable = new YAHOO.widget.DataTable("movFilesContainer", columnDefs, dataSource,dtConfig);
			
	
	FileManager.MovFilesTable.subscribe("initEvent", initMovs);	
	
}

function initMovs()
{
	var recordSetMovFiles = FileManager.MovFilesTable.getRecordSet();
	var numberOfMovFiles = recordSetMovFiles.getLength();
				
	if(numberOfMovFiles > 0)	
		YAHOO.util.Dom.setStyle('MovFilesTabContent', 'visibility', 'visible');				
}

function initThumbsTable()
{	
	var dataSource = new YAHOO.util.DataSource(YAHOO.util.Dom.get("thumbFilesTable"));
	dataSource.responseType = YAHOO.util.DataSource.TYPE_HTMLTABLE;
	
	dataSource.responseSchema = 
	{
    	fields: 
    	[
    		{key:"numberthumb"},
        	{key:"markthumb"},
        	{key:"filethumb"},
        	{key:"sizethumb"},
        	{key:"datethumb"},
        	{key:"URLthumb"}
    	]
	};
	
	this.urlFormatterThumbs = function(elCell, oRecord, oColumn, oData) 
	{
		var url = oRecord.getData("URLthumb");	
		elCell.innerHTML = "<a href='"+ url +"' target='_blank'>" + url + "</a>";	
    };
	    
    YAHOO.widget.DataTable.Formatter.urlFormatterThumbs = this.urlFormatterThumbs;
    
    this.checkBoxFormatterThumbs = function(elCell, oRecord, oColumn, oData) 
	{
		var index = oRecord.getCount();
		var inputElem = document.createElement("input");
		inputElem.setAttribute("type","checkbox");
		inputElem.setAttribute("id","checkboxThumb" + index);				
		elCell.appendChild(inputElem);	
    };
    
    YAHOO.widget.DataTable.Formatter.checkBoxFormatterThumbs = this.checkBoxFormatterThumbs;


	//date sort function
	var sortDates = function(a, b, desc) 
	{		
	 	var countA = a.getCount();
	 	var countB = b.getCount();
	 	
	 	//alert("a:" + a.getCount() + "\n b:" + b.getCount());
	 	
	 	var timeStampA = document.getElementById("thumbTimestamp" + countA).innerHTML;
	 	var timeStampB = document.getElementById("thumbTimestamp" + countB).innerHTML;
	 	
	 	var comp = YAHOO.util.Sort.compare; 
        return comp(timeStampA, timeStampB, desc);         	 		 	 		 			 	
    };
     
	
	var columnDefs = 
	[
	    {key:"numberthumb",label:"thumb",sortable:true},
	    {key:"markthumb",label:"mark",sortable:true,formatter:"checkBoxFormatterThumbs"},
	    {key:"filethumb",label:"file",sortable:true},
	    {key:"sizethumb",label:"size",sortable:true},
	    {key:"datethumb",label:"date",sortable:true,sortOptions:{sortFunction:sortDates}},
	    {key:"URLthumb",label:"URL",sortable:true,formatter:"urlFormatterThumbs"}	    
	];
	
	FileManager.thumbFilesTablePaginator = new YAHOO.widget.Paginator
	({
		rowsPerPage: 15,
        template: YAHOO.widget.Paginator.TEMPLATE_ROWS_PER_PAGE,
        rowsPerPageOptions: [15,30,60],
        pageLinks: 5
    });
    
	var dtConfig = 
	{		
		paginator: FileManager.thumbFilesTablePaginator,			 				
        initialRequest: false,        
        draggableColumns:false,
        sortedBy:{key:"numberthumb", dir:"asc"},
        width:"100%",
        scrollable:false        
    };
		
				
	FileManager.thumbFilesTable = new YAHOO.widget.DataTable("thumbFilesContainer", columnDefs, dataSource,dtConfig);
	
	FileManager.thumbFilesTable.subscribe("initEvent", function()
	{		
		var recordSet = FileManager.thumbFilesTable.getRecordSet();
		var numberOfthumbFiles = recordSet.getLength();
			
		if(numberOfthumbFiles > 0)	
			YAHOO.util.Dom.setStyle('thumbFilesTabContent', 'visibility', 'visible');															
				
	});
}

function selectAllFlashFiles()
{	
	var pageRecords = FileManager.flashFilesTablePaginator.getPageRecords();
	
	for(i = pageRecords[0]; i < pageRecords[1]+1; i++)
	{
		var oRecord = FileManager.flashFilesTable.getRecord(i);
		count = oRecord.getCount();	
		document.getElementById('checkboxFlash' + count).checked = true;
	}
}

function unselectAllFlashFiles()
{
	var pageRecords = FileManager.flashFilesTablePaginator.getPageRecords();
	
	for(i = pageRecords[0]; i < pageRecords[1]+1; i++)
	{
		var oRecord = FileManager.flashFilesTable.getRecord(i);
		count = oRecord.getCount();	
		document.getElementById('checkboxFlash' + count).checked = false;
	}
}

function deleteSelectedFlashFiles()
{
	Check = confirm("Do you really want to delete the selected file(s) ?");
	if (Check == false)
  		return;	
	
	var files = "";
	
	var pageRecords = FileManager.flashFilesTablePaginator.getPageRecords();
	
	for(i = pageRecords[0]; i < pageRecords[1]+1; i++)
	{
		var oRecord = FileManager.flashFilesTable.getRecord(i);
		count = oRecord.getCount();	
		
		if(document.getElementById('checkboxFlash' + count).checked)
		{
			var fileName = document.getElementById('flashFile' + i).innerHTML;						
			files += fileName + ";";			
		}
	}
			
	files = files.substring(0,files.length -1);	
	
	var form = document.getElementById("deleteForm");
	document.getElementById("deleteFormTask").value = "deleteFlashFiles";		
	document.getElementById("deleteFormFiles").value = files;
	
	
	form.submit();
}

function selectAllMovFiles()
{
	var pageRecords = FileManager.MovFilesTablePaginator.getPageRecords();
	
	for(i = pageRecords[0]; i < pageRecords[1]+1; i++)
	{
		var oRecord = FileManager.MovFilesTable.getRecord(i);
		count = oRecord.getCount();	
		document.getElementById('checkboxMov' + count).checked = true;
	}			
}

function unselectAllMovFiles()
{
	var pageRecords = FileManager.MovFilesTablePaginator.getPageRecords();
	
	for(i = pageRecords[0]; i < pageRecords[1]+1; i++)
	{
		var oRecord = FileManager.MovFilesTable.getRecord(i);
		count = oRecord.getCount();	
		document.getElementById('checkboxMov' + count).checked = false;
	}		
}

function deleteSelectedMovFiles()
{
	Check = confirm("Do you really want to delete the selected file(s) ?");
	if (Check == false)
  		return;	
  		
	var files = "";
	
	var pageRecords = FileManager.MovFilesTablePaginator.getPageRecords();
	
	for(i = pageRecords[0]; i < pageRecords[1]+1; i++)
	{ 
		var oRecord = FileManager.MovFilesTable.getRecord(i);
		count = oRecord.getCount();	
		if(document.getElementById('checkboxMov' + count).checked)
		{
			var fileName = document.getElementById('movFile' + i).innerHTML;						
			files += fileName + ";";			
		}
	}		
	
	files = files.substring(0,files.length -1);	
	
	var form = document.getElementById("deleteForm");
	document.getElementById("deleteFormTask").value = "deleteMovFiles";		
	document.getElementById("deleteFormFiles").value = files;			
	
	form.submit();
}

function startFlashUpload()
{
	if(document.getElementById('flashFile').value)
	{
		document.getElementById('flashUploadLoader').style.display='block';
		document.getElementById('uploadFlv').submit();
	}
	else
	{
		alert('You have to specify a file!');
		return false;
	}
}

function startMovUpload()
{
	if(document.getElementById('movFile').value)
	{
		document.getElementById('movUploadLoader').style.display='block';
		document.getElementById('uploadMov').submit();
	}
	else
	{
		alert('You have to specify a file!');
		return false;
	}
}




function selectAllThumbFiles()
{	
	var pageRecords = FileManager.thumbFilesTablePaginator.getPageRecords();
	
	for(i = pageRecords[0]; i < pageRecords[1]+1; i++)
	{
		var oRecord = FileManager.thumbFilesTable.getRecord(i);
		count = oRecord.getCount();	
		document.getElementById('checkboxThumb' + count).checked = true;
	}
}

function unselectAllThumbFiles()
{
	var pageRecords = FileManager.thumbFilesTablePaginator.getPageRecords();
	
	for(i = pageRecords[0]; i < pageRecords[1]+1; i++)
	{
		var oRecord = FileManager.thumbFilesTable.getRecord(i);
		count = oRecord.getCount();	
		document.getElementById('checkboxThumb' + count).checked = false;
	}
}

function deleteSelectedThumbFiles()
{
	Check = confirm("Do you really want to delete the selected file(s) ?");
	if (Check == false)
  		return;	
	
	var files = "";
	
	var pageRecords = FileManager.thumbFilesTablePaginator.getPageRecords();
	
	for(i = pageRecords[0]; i < pageRecords[1]+1; i++)
	{
		var oRecord = FileManager.thumbFilesTable.getRecord(i);
		count = oRecord.getCount();	
		if(document.getElementById('checkboxThumb' + count).checked)
		{
			var fileName = document.getElementById('thumbFile' + i).innerHTML;						
			files += fileName + ";";			
		}
	}
			
	files = files.substring(0,files.length -1);	
	
	var form = document.getElementById("deleteForm");
	document.getElementById("deleteFormTask").value = "deleteThumbFiles";		
	document.getElementById("deleteFormFiles").value = files;			
	
	form.submit();
}

function startThumbUpload()
{
	if(document.getElementById('ThumbFile').value)
	{
		document.getElementById('ThumbUploadLoader').style.display='block';
		document.getElementById('uploadThumb').submit();
	}
	else
	{
		alert('You have to specify a file!');
		return false;
	}
}